Bug 493363 - nv/nouveau hang on Fedora11Beta install
nv/nouveau hang on Fedora11Beta install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:00 EDT by Edouard Bourguignon
Modified: 2009-12-04 08:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 08:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log using the nv driver (9.73 KB, text/plain)
2009-04-02 04:29 EDT, Edouard Bourguignon
no flags Details
my xorg.conf using the nv driver (2.29 KB, text/plain)
2009-04-02 04:30 EDT, Edouard Bourguignon
no flags Details
my dmesg (53.15 KB, text/plain)
2009-04-02 04:31 EDT, Edouard Bourguignon
no flags Details
my Xorg.0.log using nouveau driver (27.21 KB, text/plain)
2009-04-15 05:54 EDT, Edouard Bourguignon
no flags Details

  None (edit)
Description Edouard Bourguignon 2009-04-01 11:00:42 EDT
Description of problem:
nv/nouveau driver doesn't work on Fedora11 beta. System hangs when using this drivers. Vesa works but only at low resolution. So installation fails too if you don't choose vesa installation.

01:00.0 VGA compatible controller: nVidia Corporation Quadro FX 770M (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 30e7
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at da000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at d8000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at 7000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [60] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Mask- 64bit+ Count=1/1 Enable-
		Address: 0000000000000000  Data: 0000
	Capabilities: [78] Express (v2) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <256ns, L1 <4us
			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM L0s L1 Enabled; RCB 128 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Not Supported, TimeoutDis+
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB
	Capabilities: [b4] Vendor Specific Information <?>
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information <?>
	Kernel driver in use: nvidia
	Kernel modules: nvidia, nouveau, nvidiafb


Version-Release number of selected component (if applicable):
Fedora 11Beta DVD

Not sure to fill the bug on the correct components. Xorg-x11-drv-nv/nouveau fail, but nouveau is the default driver for nvidia cards?
Comment 1 Ben Skeggs 2009-04-01 17:58:53 EDT
Are you able to gather some more information from after the hang?  Logs from /var/log/messages and /var/log/Xorg.0.log would be very useful.  Thanks!
Comment 2 Edouard Bourguignon 2009-04-02 04:27:29 EDT
I just try to run telinit 3 in a gnome-terminal, to change my xorg.conf, it seems to be a bad idea... System get a huge load, Xorg was using 100% cpu, ctrl+alt+backspace (and magic syskeys) 
doesn't save me, and I can't either swith to any VT... I was using nvidia driver from rpmfusion. So had to hard reboot the machine to runlevel 3.

Now I'm just trying to get some logs.
Comment 3 Edouard Bourguignon 2009-04-02 04:29:08 EDT
Created attachment 337744 [details]
Xorg.0.log using the nv driver
Comment 4 Edouard Bourguignon 2009-04-02 04:30:27 EDT
Created attachment 337746 [details]
my xorg.conf using the nv driver

autogenerated by X -configure
Comment 5 Edouard Bourguignon 2009-04-02 04:31:43 EDT
Created attachment 337748 [details]
my dmesg
Comment 6 Edouard Bourguignon 2009-04-02 04:36:27 EDT
Changing nv by nouveau in the xorg.conf doesn't work, system hang before writing anything in /var/log/Xorg.0.log. How can I grab some usefull information?
Nothing in /var/log/messages too.
Comment 7 Edouard Bourguignon 2009-04-15 02:57:44 EDT
I will retry soon with latest updates, is it usefull??
Comment 8 Ben Skeggs 2009-04-15 03:47:03 EDT
It's probably worth a try.  For nouveau, if it still hangs booting into runlevel 3 (put "3" on the kernel commandline) may prove useful to see more detailed info about what chipset it is exactly (in dmesg).
Comment 9 Edouard Bourguignon 2009-04-15 05:54:51 EDT
Created attachment 339661 [details]
my Xorg.0.log using nouveau driver

still hanging, but it's a bit better, log is written now and can reboot.
Comment 10 Edouard Bourguignon 2009-04-24 05:38:34 EDT
Seems the same with xorg-x11-drv-nouveau-0.0.12-31.20090421git47bb00f.fc11.x86_64.

-------------------------------------------------------------------------
(WW) NOUVEAU(0): TMDS table revision 2.0 not currently supported
(WW) NOUVEAU(0): G80+ LVDS not initialized by driver; ignoring conf bits
(EE) NOUVEAU(0): ========== unknown reg 0x00021220 ==========
(EE) NOUVEAU(0): ========== unknown reg 0x0002121C ==========
(EE) NOUVEAU(0): 0xD577: Init table command not found: 0x97
(WW) NOUVEAU(0): Unknown vendor-specific block 0
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
(WW) NOUVEAU(0): NV50CheckWriteVClk() timed out.
-------------------------------------------------------------------------
Comment 11 Bug Zapper 2009-06-09 08:57:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Ben Skeggs 2009-08-23 20:52:51 EDT
Any chance you could give rawhide a try?  If not, next best thing would be to see if kernel modesetting (boot with nouveau.modeset=1 on the kernel commmandline) works.  If that still doesn't work try "nouveau.modeset=1 nouveau.uscript=1" as that path is most similar to what's going to be in F12.
Comment 13 Matěj Cepl 2009-11-05 13:24:18 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Chris Campbell 2009-12-03 20:41:35 EST
Edouard, is it possible for you to retest using Fedora 12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Edouard Bourguignon 2009-12-04 02:29:06 EST
I've just installed F12 and it works perfectly.
Big thanks
Comment 16 Chris Campbell 2009-12-04 08:04:21 EST
Edouard, thank you very much for taking the time to file this bug report, follow up with asked for logs and test for the fix. We are happy that your system now works. Setting this bug to CLOSED NEXTRELEASE.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.